Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api.taskplan
Enum AssigneeDefinition.Type

    java.lang.Object
      java.lang.Enum<AssigneeDefinition.Type>
          com.bea.wli.worklist.api.taskplan.AssigneeDefinition.Type

All Implemented Interfaces:
  Serializable, Comparable<AssigneeDefinition.Type>

Enclosing interface:
  AssigneeDefinition

    public static enum AssigneeDefinition.Type

extends Enum<AssigneeDefinition.Type>

Represents the types of assignees in Worklist.

Enum Constant Summary
`Group` Assign to a group of users
`Rule` Specify the name of a rule that will be evaluated to generate a dynamic assignee list expression (can contain users, groups).
`User` Assign to a specific user

Method Summary
`static AssigneeDefinition.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AssigneeDefinition.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### User

    public static final AssigneeDefinition.Type User

  Assign to a specific user

### Group

    public static final AssigneeDefinition.Type Group

  Assign to a group of users

### Rule

    public static final AssigneeDefinition.Type Rule

  Specify the name of a rule that will be evaluated to generate a dynamic assignee list expression (can contain users, groups).

Method Detail

### values

    public static final AssigneeDefinition.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AssigneeDefinition.Type c : AssigneeDefinition.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AssigneeDefinition.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD